Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlcp.wlng.user.management
Interface ManagementUserMBean

public interface ManagementUserMBean

Management user MBean

  Copyright © 2008 Oracle Corporation. All Rights Reserved.

Method Summary
`void` | `addUser(String username, String password, int userlevel, int type)` Adds a management user
`void` | `changeUserPassword(String username, String oldpasswd, String newpasswd)` Changes the management user password
`void` | `deleteUser(String username)` Deletes a management user
`ManagementUserDescription` | `getUserDescription(String username)` Gets the user description.
`String[]` | `listUsers(int type, int offset, int size)` Lists registered management users.
`void` | `setUserPasswordByOperator(String operator, String username, String newpassword)` Internal method, Set new password to SP account by operator.

Method Detail

### addUser

    public void addUser(String username,
                        String password,
                        int userlevel,
                        int type)
                 throws ManagementException

  Adds a management user

  Parameters:
    `username` - User name
    `password` - Password
    `userlevel` - User level. (1000-admin, 333-Read Only 0-Anonymous)
    `type` - Type of user. (0-Admin user, 1- PRM OP user)
  Throws:
    `ManagementException`

### changeUserPassword

    public void changeUserPassword(String username,
                                   String oldpasswd,
                                   String newpasswd)
                            throws ManagementException

  Changes the management user password

  Parameters:
    `username` - User name
    `oldpasswd` - Old password
    `newpasswd` - New password
  Throws:
    `ManagementException`

### deleteUser

    public void deleteUser(String username)
                    throws ManagementException

  Deletes a management user

  Parameters:
    `username` - User name
  Throws:
    `ManagementException`

### getUserDescription

    public ManagementUserDescription getUserDescription(String username)
                                                 throws ManagementException

  Gets the user description.

  Parameters:
    `username` - User name
  Returns:
    User Description [level (1000-admin, 666-Read Write, 333-Read Only 0-Anonymous)] [type (0-admin, 1-OP, 2-SP)] [state (1-activated, 2-deactived)]
  Throws:
    `ManagementException`

### listUsers

    public String[] listUsers(int type,
                              int offset,
                              int size)
                       throws ManagementException

  Lists registered management users. [type (0-admin, 1-OP, 2-SP)]

  Returns:
    A list of all registered management users.
  Throws:
    `ManagementException`

### setUserPasswordByOperator

    public void setUserPasswordByOperator(String operator,
                                          String username,
                                          String newpassword)
                                   throws ManagementException

  Internal method, Set new password to SP account by operator.

  Parameters:
    `username` - User name
    `newpassword` - New password
  Throws:
    `ManagementException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD